<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">

	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>org.gcube.iam</groupId>
		<artifactId>keycloak-d4science-spi-parent</artifactId>
		<version>2.0.0</version>
	</parent>

	<artifactId>keycloak-d4science-bundle</artifactId>
	<packaging>ear</packaging>

	<scm>
		<connection>scm:git:https://code-repo.d4science.org/gCubeSystem/${project.parent.artifactId}.git</connection>
		<developerConnection>scm:git:https://code-repo.d4science.org/gCubeSystem/${project.parent.artifactId}.git</developerConnection>
		<url>https://code-repo.d4science.org/gCubeSystem/${project.parent.artifactId}</url>
	</scm>

	<dependencies>
		<dependency>
			<groupId>org.gcube.iam</groupId>
			<artifactId>avatar-importer</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.gcube.iam</groupId>
			<artifactId>avatar-realm-resource</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.gcube.iam</groupId>
			<artifactId>avatar-storage</artifactId>
			<version>${project.version}</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.gcube.iam</groupId>
			<artifactId>delete-account</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.gcube.iam</groupId>
			<artifactId>event-listener-provider</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.gcube.iam</groupId>
			<artifactId>identity-provider-mapper</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.gcube.iam</groupId>
			<artifactId>keycloak-d4science-script</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.gcube.iam</groupId>
			<artifactId>keycloak-d4science-theme</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.gcube.iam</groupId>
			<artifactId>ldap-storage-mapper</artifactId>
			<version>${project.version}</version>
		</dependency>
		<!-- This should be declared since in the BOM is declared as provided -->
		<dependency>
			<groupId>com.googlecode.json-simple</groupId>
			<artifactId>json-simple</artifactId>
			<version>${json-simple.version}</version>
			<scope>runtime</scope>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-ear-plugin</artifactId>
				<version>3.0.1</version>
				<configuration>
					<defaultLibBundleDir>lib</defaultLibBundleDir>
					<modules>
						<jarModule>
							<groupId>org.gcube.iam</groupId>
							<artifactId>avatar-importer</artifactId>
							<includeInApplicationXml>true</includeInApplicationXml>
							<bundleFileName>avatar-importer-${project.version}.jar</bundleFileName>
							<bundleDir>/</bundleDir>
						</jarModule>
						<jarModule>
							<groupId>org.gcube.iam</groupId>
							<artifactId>avatar-realm-resource</artifactId>
							<includeInApplicationXml>true</includeInApplicationXml>
							<bundleFileName>avatar-realm-resource-${project.version}.jar</bundleFileName>
							<bundleDir>/</bundleDir>
						</jarModule>
						<jarModule>
							<groupId>org.gcube.iam</groupId>
							<artifactId>delete-account</artifactId>
							<includeInApplicationXml>true</includeInApplicationXml>
							<bundleFileName>delete-account-${project.version}.jar</bundleFileName>
							<bundleDir>/</bundleDir>
						</jarModule>
						<jarModule>
							<groupId>org.gcube.iam</groupId>
							<artifactId>event-listener-provider</artifactId>
							<includeInApplicationXml>true</includeInApplicationXml>
							<bundleFileName>event-listener-provider-${project.version}.jar</bundleFileName>
							<bundleDir>/</bundleDir>
						</jarModule>
						<jarModule>
							<groupId>org.gcube.iam</groupId>
							<artifactId>identity-provider-mapper</artifactId>
							<includeInApplicationXml>true</includeInApplicationXml>
							<bundleFileName>identity-provider-mapper-${project.version}.jar</bundleFileName>
							<bundleDir>/</bundleDir>
						</jarModule>
						<jarModule>
							<groupId>org.gcube.iam</groupId>
							<artifactId>keycloak-d4science-script</artifactId>
							<includeInApplicationXml>true</includeInApplicationXml>
							<bundleFileName>keycloak-d4science-script-${project.version}.jar</bundleFileName>
							<bundleDir>/</bundleDir>
						</jarModule>
						<jarModule>
							<groupId>org.gcube.iam</groupId>
							<artifactId>keycloak-d4science-theme</artifactId>
							<includeInApplicationXml>true</includeInApplicationXml>
							<bundleFileName>keycloak-d4science-theme-${project.version}.jar</bundleFileName>
							<bundleDir>/</bundleDir>
						</jarModule>
						<jarModule>
							<groupId>org.gcube.iam</groupId>
							<artifactId>ldap-storage-mapper</artifactId>
							<includeInApplicationXml>true</includeInApplicationXml>
							<bundleFileName>ldap-storage-mapper-${project.version}.jar</bundleFileName>
							<bundleDir>/</bundleDir>
						</jarModule>
					</modules>
				</configuration>
			</plugin>
		</plugins>
	</build>

</project>